1 |
jpp |
1.1 |
diff -Nur --no-dereference smeserver-nextcloud-1.2.0.old/root/usr/bin/occ smeserver-nextcloud-1.2.0/root/usr/bin/occ |
2 |
|
|
--- smeserver-nextcloud-1.2.0.old/root/usr/bin/occ 2024-05-16 09:17:08.718000000 -0400 |
3 |
|
|
+++ smeserver-nextcloud-1.2.0/root/usr/bin/occ 2024-05-16 09:19:34.672000000 -0400 |
4 |
|
|
@@ -1,5 +1,5 @@ |
5 |
|
|
#!/bin/bash |
6 |
|
|
-majversion=$(/usr/bin/grep -Eo "'version'.*[0-9]{2}\." /usr/share/nextcloud/config/config.php |/usr/bin/grep -Eo "[0-9]{2}"|head -1) |
7 |
|
|
+majversion=$((/usr/bin/grep -Eo "'version'.*[0-9]{2}\." /usr/share/nextcloud/config/config.php 2>/dev/null || echo "26" )|/usr/bin/grep -Eo "[0-9]{2}"|head -1) |
8 |
|
|
memory=$(/sbin/e-smith/config getprop nextcloud memory_limit|| echo "1024M") |
9 |
|
|
myphp=/usr/bin/php81 |
10 |
|
|
if [[ $majversion -le '24' ]]; then |